For the complete documentation index, see llms.txt. This page is also available as Markdown.

List available PHP versions for a website

Lists the PHP versions an Agency Plan website can be switched to. The version the website is currently running is returned as settings.php.version by the website details endpoint.

List available PHP versions for a website

get

Lists the PHP versions an Agency Plan website can be switched to. The version the website is currently running is returned as settings.php.version by the website details endpoint.

Authorizations
AuthorizationstringRequired

API Token authentication

Path parameters
website_uidstringRequired

Agency Plan website UID

Example: zpwlGlp19
Responses
200

Success response

application/json
versionstringOptional

PHP version available for the website.

Example: 8.2
get/api/agency-hosting/v1/websites/{website_uid}/php-settings/versions
GET /api/agency-hosting/v1/websites/{website_uid}/php-settings/versions HTTP/1.1
Host: developers.hostinger.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
[
  {
    "version": "8.2"
  }
]

Last updated

Was this helpful?